SND_JACK_NEW(9)

NAME
snd_jack_new - Create a new jack

SYNOPSIS

int snd_jack_new(struct snd_card * card, const char * id, int type, struct snd_jack ** jjack);

ARGUMENTS

card
    the card instance

id
    an identifying string for this jack

type
    a bitmask of enum snd_jack_type values that can be detected by this jack

jjack
    Used to provide the allocated jack object to the caller.

DESCRIPTION

Creates a new jack object.

RETURN

Zero if successful, or a negative error code on failure. On success jjack will be initialised.

COPYRIGHT